


    UNDL 1.2                                                  19.01.93



    ABOUT

    UNDL unpacks DL animation files from PClones into frames. Each
    frame is stored as an 8-bit IFF file, which can then be converted
    to HAM or some other Amiga format before recombination into an
    Amiga GL file. This is a KS2.0 program.

    UNDL is Copyright  1993 by John Bickers.


    REQUIREMENTS

    KS2.0 and Christian Weber's iff.library are essential. The latter
    is available from amiga.physik.unizh.ch and its mirrors, or from
    Fish disk #674.


    USAGE

    The usage template is:

    FROM/A,CENTRE/S,INFO/S,SAVECONTROL/K

    The FROM option is the name of the DL you want to unpack. The
    frames will be stored in the current directory with names of the
    form undl.NNN, where NNN is the frame number. This number counts
    from one.

    The CENTRE option will centre each frame within a 320x200
    rectangle. This is convenient for building an IFF animation file,
    but should never be used when building a GL file.

    The INFO option will make UNDL quit after displaying the header
    information.

    The SAVECONTROL option specifies the name of a "control" file to
    use. This file is a list of the order in which the frames should
    be played, and can be used to construct FLY commands for a GL
    animation. "mark" and "loop" commands are inserted as required,
    though you'll have to add the "fly" commands yourself.


    USEFUL UTILITIES

    Ed Hanway's HamLabPlus is very handy for converting the frames
    from 8-bit pictures to a more usual Amiga format.

    My GL package can be used to create an Amiga GL file out of the
    frames, as well as play the resulting animation.

    My mkanim utility can be used to recombine the frames back into an
    IFF ANIM file.


    GL OR ANIM?

    A GL version of a DL file is quite likely to turn out smaller than
    an ANIM version, though of course it depends on the animation. I
    converted the file BIRRA.DL into both ANIM and GL, and the GL file
    was less than half (!) the size of the ANIM one.


    CREDITS

    UNDL is written by John Bickers using SAS C 6.1.

    The DL file format and PC programs were created by Davide Tome'
    and Luca De Gregorio.

    Christian A. Weber's iff.library is used for saving ILBM files.

    The format of a DL file was obtained by looking at BIRRA.DL, and
    running Davide and Luca's DL-VIEW.EXE under Microsoft's CodeView
    debugger.


    DISTRIBUTION

    UNDL is Copyright  1993 by John Bickers.

    Distribution is via normal channels. That is, distribute it for
    free, or for Fred Fish like costs, but not more. And remember to
    include the documentation.

    This program is not shareware in the sense that you should pay for
    it if you use it a lot, but suggestions or demands will be
    received in a spirit of pronounced no-enthusiasm unless
    accompanied by a donation of some sort.

    If you have one lying around, why not send me an R18 DL?


    CONTACT INFO

    If you're having problems or would like to pay me to convert a
    file, I can be reached at:

        John Bickers
        214 Rata St
        Naenae 6301
        New Zealand

    Or: jbickers@templar.actrix.gen.nz


    DISCLAIMER

    It works on my machine.
